#!/bin/sh

if [ "$1" = "" ]; then
iptunnel|grep tnl
route|head -2
route|grep tnl
exit 0
fi

. /var/run/opt_ipip.conf

idx=$1
dev=tnl$idx
eval ptp_local='$ptp_local_'$idx
eval ptp_remote='$ptp_remote_'$idx
eval remote_lan='$remote_lan_'$idx
network=`/usr/local/bin/netcalc network $remote_lan`
netmask=`/usr/local/bin/netcalc netmask $remote_lan`
remoteip=$2

if [ "$remoteip" = "0.0.0.0" ]; then
  /usr/local/bin/iptunnel del $dev
else
  /usr/local/bin/iptunnel add $dev mode ipip remote $remoteip
  /sbin/ifconfig $dev $ptp_local pointopoint $ptp_remote
  /sbin/route add -net $network netmask $netmask gw $ptp_remote dev $dev
fi
